LibOFX

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions

# OfxPaymentRequest Class Reference

Inheritance diagram for OfxPaymentRequest:

## Public Member Functions
| OfxPaymentRequest (const OfxFiLogin &fi, const OfxAccountData &account, const OfxPayee &payee, const OfxPayment &payment)
| OfxPaymentRequest (const OfxFiLogin &fi, const OfxAccountData &account, const OfxPayee &payee, const OfxPayment &payment)

## Detailed Description

Definition at line 84 of file ofx_request_statement.hh.

## Constructor & Destructor Documentation

OfxPaymentRequest::OfxPaymentRequest | ( | const OfxFiLogin & | fi,
|  | const OfxAccountData & | account,
|  | const OfxPayee & | payee,
|  | const OfxPayment & | payment
| ) |  |

Creates the request aggregate to submit a payment to this `fi` on this `account`, to this `payee` as described by this .

Parameters:

  fi | The information needed to log on user into one financial institution
  account | The account from which the payment should be made
  payee | The payee who should receive the payment
  payment | The details of the payment

Definition at line 149 of file ofx_request_statement.cpp.

OfxPaymentRequest::OfxPaymentRequest | ( | const OfxFiLogin & | fi,
|  | const OfxAccountData & | account,
|  | const OfxPayee & | payee,
|  | const OfxPayment & | payment
| ) |  |

Creates the request aggregate to submit a payment to this `fi` on this `account`, to this `payee` as described by this .

Parameters:

  fi | The information needed to log on user into one financial institution
  account | The account from which the payment should be made
  payee | The payee who should receive the payment
  payment | The details of the payment

The documentation for this class was generated from the following files:

- ofx_request_statement.hh
- fx-0.9.4/lib/ofx_request_statement.hh
- ofx_request_statement.cpp
- fx-0.9.4/lib/ofx_request_statement.cpp